<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);

require '../../modelo/environment.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/orden.php';

$response = array();
$url_servidor = Environment::getUrlServidor();

if(!isset($_POST['id_usuario'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

if(!$id_usuario) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron usuarios';
    echo json_encode($response);
    return;
}

$ordenes = Orden::mdlGetOrdenesByIdUsuario($id_usuario);

if(!$ordenes) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron ordenes';
    echo json_encode($response);
    return;
}

$productos = array();

// foreach($ordenes as $key => $orden) {
    
// }

echo json_encode($ordenes);